PhysicalFrame (CMDB Model API)
Keywords: com.collation.platform.model.topology.phys.physpkg.PhysicalFrame interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.phys.physpkg
Interface PhysicalFrame

All Superinterfaces:
  ManagedElement, ManagedSystemElement, ModelObject, PhysicalElement, PhysicalPackage, java.io.Serializable

All Known Subinterfaces:
  Board, Card, Chassis, Rack, SystemBusCard, SystemMediaLocation

    public interface PhysicalFrame

extends PhysicalPackage

Defines high level concept of enclosures

Naming Rules:
  0="physicalPackage,name,relativePosition" 1="managedSystemName"
Persistable:
  true

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`PhysicalPackage` | `getPhysicalPackage()`
`boolean` | `hasPhysicalPackage()`
`void` | `setPhysicalPackage(PhysicalPackage x)`

Methods inherited from interface com.collation.platform.model.topology.phys.physpkg.PhysicalPackage
`getComputersystem, getFans, getFWRevision, getHWRevision, getManufacturer, getModel, getName, getOtherPhysicalPackages, getParent, getPhysicalComponents, getPhysicalConnectors, getPhysicalFrames, getPhysicalLinks, getPowerSupplys, getRelativePosition, getSensors, getSerialNumber, getSWRevision, getSystemBoardUUID, getType, getUserTracking, hasComputersystem, hasFans, hasFWRevision, hasHWRevision, hasManufacturer, hasModel, hasName, hasOtherPhysicalPackages, hasParent, hasPhysicalComponents, hasPhysicalConnectors, hasPhysicalFrames, hasPhysicalLinks, hasPowerSupplys, hasRelativePosition, hasSensors, hasSerialNumber, hasSWRevision, hasSystemBoardUUID, hasType, hasUserTracking, setComputersystem, setFans, setFWRevision, setHWRevision, setManufacturer, setModel, setName, setOtherPhysicalPackages, setParent, setPhysicalComponents, setPhysicalConnectors, setPhysicalFrames, setPhysicalLinks, setPowerSupplys, setRelativePosition, setSensors, setSerialNumber, setSWRevision, setSystemBoardUUID, setType, setUserTracking`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getPhysicalPackage

    PhysicalPackage getPhysicalPackage()
                                       throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.PhysicallyContains" reverse="true"

### setPhysicalPackage

    void setPhysicalPackage(PhysicalPackage x)

### hasPhysicalPackage

    boolean hasPhysicalPackage()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD